<h1>Schnitzeljagd erstellen</h1>
<form [formGroup]="addHuntForm" autocomplete="off" action="">
  <ion-grid>
    <ion-row>
      <ion-col size="3">
        <ion-label>Titel</ion-label>
      </ion-col>
      <ion-col>
        <ion-input type="text" name="hunt-title" id="hunt-title" (keydown.enter)="addHuntFormSubmit()" formControlName="title" placeholder="Titel">
        </ion-input>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col size="3">
        <ion-label>Beschreibung</ion-label>
      </ion-col>
      <ion-col>
        <ion-textarea rows=10 name="hunt-description" id="hunt-description" formControlName="description"
          placeholder="Beschreibung"></ion-textarea>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col size="3">
        <ion-label>Belohnung</ion-label>
      </ion-col>
      <ion-col>
        <ion-textarea rows=10 name="hunt-reward" id="hunt-reward" formControlName="reward"
          placeholder="Belohnung"></ion-textarea>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col size="3">
        <ion-label>Empfänger</ion-label>
      </ion-col>
      <ion-col>
        <ion-input type="text" name="hunt-receiver" id="hunt-receiver" (keydown.enter)="addHuntFormSubmit()" formControlName="receiver"
          placeholder="Empfänger"></ion-input>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col size="3">
        <ion-label>Startdatum</ion-label>
      </ion-col>
      <ion-col>
        <ion-input (ionFocus)="openDatePicker()" type="text" (keydown.enter)="addHuntFormSubmit()" formControlName="startDateReadable" placeholder="Startdatum"></ion-input>
        <input formControlName="startDateRaw" type="date" style="display:none">
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-button (click)="addHuntFormSubmit()">Erstellen</ion-button>
        <ion-button color="danger" routerLink="/hunts">Abbrechen</ion-button>
      </ion-col>
    </ion-row>
  </ion-grid>
</form>